Subject: [calsify] AD review of draft-ietf-calext-ical-relations-07

From: Francesca Palombini <[email-masked]>
Date: Fri, 17 Sep 2021 13:45:24 +0000

Thank you for this document. Here is my AD review.

I have divided comments into "main", "minor" and "nits". I'd like to have a discussion on my main comments before requesting the IETF Last Call. On the other hand, you can address the minors and nits together with any additional Last Call comments you will get.

Francesca

## main

1. -----

   The LINK property SHOULD NOT be treated as just another attachment.

FP: The use of SHOULD NOT instead of MUST NOT implies that there are cases where it is acceptable to treat the property as another attachment. It would be good to give implementers examples of when that's the case.

2. -----

   the message - for example, the agenda.  See [RFC8607]

FP: I am not sure about what this reference is supposed to help the reader with. Given that this is the only downref of this document, I wonder if it is necessary to have this as normative or if it could be moved to the informational references.

3. -----

[W3C.CR-skos-reference-20090317]

FP: Would it be ok to update this to the latest version? I get a big red box telling me that this specification is outdated, but I don't know if what is used in his document changed in the newer version, hence the outdated reference.

4. -----

IANA Section 11.1

FP: I believe the document is missing an update to the RELATED-TO property: please add a note saying that IANA should update the RELATED-TO property in the iCalendar Properties Registry, so that the Section 9.1 of this document is added as reference (note that it should only be added, not replace RFC 5545)

## minor

5. -----

   The ATTACH property is being extended to handle server-side

FP: The ATTACH property is mentioned here for the first time. Please add a reference to where it's defined.

6. -----

   the RELTYPE parameter redefined in Section 3.2.15 of [RFC5545]:

FP: why "redefined" and not "defined"? 

7. -----

   Conformance:  This property MAY be specified in any iCalendar
      component.

FP: for section 8.2 and 9.1, the Conformance above does not specify if the property may be specified more than once. I would think it is allowed for both LINK and RELATED-TO, but it would be better if it was clearly defined.

8. -----

   RELTYPE=FINISHTOFINISH:  Task-B cannot finish before Task-A is
      finished, that is the end of Task-A defines the end of Task-B.

FP: I don't think the example just after, mentioning that all tasks must be done at the same time, showcases the definition quoted above: from the definition above, if A is meat and B is potatoes, the only thing we can derive from the above relationship is that meat must be cooked before potatoes are cooked. I don't see anything excluding that A can finish before B is started.

## nits

9. -----

   The link property can link components in different collections or

FP: I believe the first "link" should be "LINK".